KnowledgeBase
Get a signed download URL for a knowledge document
Authorization
SupabaseBearer AuthorizationBearer <token>
Supabase user access token (Authorization: Bearer JWT)
In: header
Path Parameters
documentId*string
Format
uuidHeader Parameters
x-organization-id*string
Must match the organizationId path segment
Format
uuidx-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/knowledge-base/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/download" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-organization-role: ORG_ADMIN"{ "url": "http://example.com", "expiresAt": "2019-08-24T14:15:22Z"}Empty
{ "message": "string"}{ "message": "string"}